libzypp 17.37.10

RpmPostTransCollector.cc File Reference
`#include <iostream>`
`#include <fstream>`
`#include <optional>`
`#include <utility>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/Regex.h>`
`#include <zypp/base/IOStream.h>`
`#include <zypp/base/InputStream.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/target/RpmPostTransCollector.h>`
`#include <zypp/TmpPath.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/HistoryLog.h>`
`#include <zypp/ZYppCallbacks.h>`
`#include <zypp/ExternalProgram.h>`
`#include <zypp/target/rpm/RpmDb.h>`
`#include <zypp/target/rpm/librpmDb.h>`
`#include <zypp/ZConfig.h>`

Go to the source code of this file.

## Classes
class | zypp::target::RpmPostTransCollector::Impl
| RpmPostTransCollector implementation. More...
struct | zypp::target::RpmPostTransCollector::Impl::Dumpfile
| Data regarding the dumpfile used if rpm --runposttrans is supported. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::target

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::posttrans"

## Functions
std::ostream & | zypp::target::operator<< (std::ostream &str, const RpmPostTransCollector &obj)
std::ostream & | zypp::target::dumpOn (std::ostream &str, const RpmPostTransCollector &obj)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::posttrans"

Definition at line 36 of file RpmPostTransCollector.cc.